Bug 122661 - gdbm 1.8.3 is released
gdbm 1.8.3 is released
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gdbm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-06 14:10 EDT by Robert Scheck
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-10 11:30:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdbm-1.8.3-fhs.patch (2.16 KB, patch)
2004-05-06 14:17 EDT, Robert Scheck
no flags Details | Diff
gdbm-1.8.3-cflags.patch (491 bytes, patch)
2004-05-06 14:17 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description Robert Scheck 2004-05-06 14:10:22 EDT
Description of problem:
gdbm 1.8.3 was released at October 16, 2002 and Fedora Development
is hanging around the old 1.8.0. 1.8.3 contains lots of fixes to
1.8.0, for more have a look to the changelog.

Version-Release number of selected component (if applicable):
gdbm-1.8.0-22.1

Actual results:
My rebuild of gdbm 1.8.3 works very well for me, and that's what
I did:

--- snipp ---
--- gdbm.spec       2004-03-02 22:41:35.000000000 +0100
+++ gdbm.spec.rsc   2004-05-06 20:05:53.000000000 +0200
@@ -2,13 +2,12 @@

 Summary: A GNU set of database routines which use extensible hashing.
 Name: gdbm
-Version: 1.8.0
-Release: 22.1
-Source: ftp://ftp.gnu.org/gnu/gdbm-%{version}.tar.gz
+Version: 1.8.3
+Release: 1
+Source: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
 Patch0: gdbm-1.8.0-jbj.patch
-Patch1: gdbm-1.8.0-fhs.patch
-Patch2: gdbm-1.8.0-cflags.patch
-Patch3: gdbm-1.8.0-64offset.patch
+Patch1: gdbm-1.8.3-fhs.patch
+Patch2: gdbm-1.8.3-cflags.patch
 License: GPL
 URL: http://www.gnu.org/software/gdbm/
 Group: System Environment/Libraries
@@ -44,7 +43,6 @@
 %patch0 -p 1 -b .jbj
 %patch1 -p 1 -b .fhs
 %patch2 -p 1 -b .cflags
-%patch3 -p1 -b .offset

 %build

@@ -62,7 +60,8 @@
 %makeinstall install-compat

 ln -sf gdbm/gdbm.h $RPM_BUILD_ROOT/%{_oldincludedir}/gdbm.h
-ln -sf libgdbm.so.2.0.0 $RPM_BUILD_ROOT/%{_libdir}/libgdbm.so
+ln -sf libgdbm.so.3.0.0 $RPM_BUILD_ROOT/%{_libdir}/libgdbm.so
+ln -sf libgdbm_compat.so.3.0.0 $RPM_BUILD_ROOT/%{_libdir}/libgdbm_compat.so

 %post -p /sbin/ldconfig

@@ -80,12 +79,16 @@
 %defattr(-,root,root)
 %doc COPYING NEWS README
 %{_libdir}/libgdbm.so.*
+%{_libdir}/libgdbm_compat.so.*

 %files devel
 %defattr(-,root,root)
 %{_libdir}/libgdbm.so
 %{_libdir}/libgdbm.la
 %{_libdir}/libgdbm.a
+%{_libdir}/libgdbm_compat.so
+%{_libdir}/libgdbm_compat.la
+%{_libdir}/libgdbm_compat.a
 %{_oldincludedir}/gdbm.h
 %{_includedir}
 %{_infodir}/*.info*
--- snapp ---

Expected results:
Upgrade to 1.8.3 ;-)

Additional info:
The gdbm compatibility library seems to be introduced with 1.8.3?!
Patch2 is obsoleted, because it's already implemented in 1.8.3.
Comment 1 Robert Scheck 2004-05-06 14:17:28 EDT
Created attachment 100050 [details]
gdbm-1.8.3-fhs.patch
Comment 2 Robert Scheck 2004-05-06 14:17:57 EDT
Created attachment 100051 [details]
gdbm-1.8.3-cflags.patch
Comment 3 Robert Scheck 2004-06-10 11:30:02 EDT
Hm, maybe we shouldn't do the upgrade to 1.8.3, because it caused from
time to time strange problems and another point is the partially binary
(in)compatibility from 1.8.0 to 1.8.3...

Note You need to log in before you can comment on or make changes to this bug.